"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const R = __importStar(require("ramda"));
const types_1 = require("../types");
const debug = require('debug')('exchange-aggregator');
exports.isOrderEvent = R.allPass([R.has('event'), R.has('exchange')]);
exports.isAddOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.StandardizedMessageType.ADD),
]);
exports.isFillOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.StandardizedMessageType.FILL),
]);
exports.isRemoveOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.StandardizedMessageType.REMOVE),
]);
exports.isSnapshotEvent = R.allPass([
    R.has('event'),
    R.propEq('event', types_1.StandardizedMessageType.SNAPSHOT),
]);
exports.debugAddOrderEvent = (value) => debug('%s: Adding order %s.', value.exchange, value.id);
exports.debugFillOrderEvent = (value) => debug('%s: Filling order %s.', value.exchange, value.id);
exports.debugRemoveOrderEvent = (value) => debug('%s: Removing order %s.', value.exchange, value.id);
exports.debugSnapshotEvent = (value) => debug('%s: Snapshot with %s asks and %s bids.', value.exchange, value.asks.length, value.bids.length);
exports.debugEvent = R.cond([
    [exports.isAddOrderEvent, exports.debugAddOrderEvent],
    [exports.isFillOrderEvent, exports.debugFillOrderEvent],
    [exports.isRemoveOrderEvent, exports.debugRemoveOrderEvent],
    [exports.isSnapshotEvent, exports.debugSnapshotEvent],
]);
