import * as Rx from 'rxjs';
import { Options, Order, StandardizedMessageType, Exchange } from '../../types';
interface KrakenOrderbook {
    base: string;
    quote: string;
    asks: [number, number, number][];
    bids: [number, number, number][];
}
export declare const getObservableKrakenOrders: ({ base, quote, network, }: Options) => Rx.Observable<KrakenOrderbook>;
export declare const standardizeStream: (stream$: Rx.Observable<KrakenOrderbook>) => Rx.Observable<{
    event: StandardizedMessageType;
    exchange: Exchange;
    base: string;
    quote: string;
    asks: Order[];
    bids: Order[];
}>;
export {};
